org.apache.solr.client.solrj.io.ops

## Class LessThanOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.LeafOperation
  - - org.apache.solr.client.solrj.io.ops.LessThanOperation

All Implemented Interfaces:
  Serializable, BooleanOperation, StreamOperation, Expressible

    public class LessThanOperation
    extends LeafOperation

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.io.ops.LeafOperation

`field, tuple, val`

### Constructor Summary

Constructors
Constructor and Description
`LessThanOperation(StreamExpression expression, StreamFactory factory)`
`LessThanOperation(String field, double val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evaluate()`
`void` `operate(Tuple tuple)`
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpression` `toExpression(StreamFactory factory)`

### Methods inherited from class org.apache.solr.client.solrj.io.ops.LeafOperation

`quote`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LessThanOperation

    public LessThanOperation(String field,
                             double val)

#### LessThanOperation

    public LessThanOperation(StreamExpression expression,
                             StreamFactory factory)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### operate

    public void operate(Tuple tuple)

Specified by:
  `operate` in interface `StreamOperation`
Overrides:
  `operate` in class `LeafOperation`

#### evaluate

    public boolean evaluate()

#### toExpression

    public StreamExpression toExpression(StreamFactory factory)
                                  throws IOException

Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Overrides:
  `toExplanation` in class `LeafOperation`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error